package com.clx.performance.controller.app.collect;

import com.clx.performance.param.app.collect.CarrierDriverCollectTransportIntentionParam;
import com.clx.performance.service.collect.CollectDriverTransportIntentionService;
import com.clx.performance.service.collect.DriverTransportIntentionInfoService;
import com.clx.performance.vo.pc.collect.CarrierDriverCollectTransportIntentionVO;
import com.msl.common.base.PageData;
import com.msl.common.result.Result;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;

@Slf4j
@RestController
@RequestMapping(value="/app/collect/intention")
@Validated
@Tag(name = "承运司机端-拉运意愿")
@AllArgsConstructor
public class AppCarrierDriverCollectTransportIntentionController {

    private final DriverTransportIntentionInfoService driverTransportIntentionInfoService;
    private final CollectDriverTransportIntentionService collectDriverTransportIntentionService;

    @Operation(summary = "获取已配置的拉运意愿列表",description = "<br>By:马路路")
    @PostMapping("/getList")
    Result<PageData<CarrierDriverCollectTransportIntentionVO>> getList(@RequestBody CarrierDriverCollectTransportIntentionParam param) {
        return Result.ok();
    }

    @Operation(summary = "保存已勾选拉运意愿",description = "<br>By:马路路")
    @PostMapping("/getList")
    Result<PageData<CarrierDriverCollectTransportIntentionVO>> saveCheckedList(@RequestBody CarrierDriverCollectTransportIntentionParam param) {
        return Result.ok();
    }
}
